@import "../../style/miam.scss";

.miam-counter-input {
  display: flex;
  user-select: none;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  .miam-counter-input__isXL {
    font-size: 24px;
  }

  .miam-counter-input__icon {
    width: 20px;
    height: 20px;
    margin-right: 10px;

    .icon-container svg {
      width: 20px;
      height: 20px;

    }

    &.miam-counter-input__isXL {
      width: 32px;
      height: 32px;
      margin-right: 16px;
  
      .icon-container svg {
        width: 32px;
        height: 32px;
  
      }
    }
  
  }

  .miam-counter-input__button {
    margin: 5px;
    height: 18px;
    width: 18px;
    font-weight: bold;
    font-size: 14px;
    line-height: 14px;
    color: var(--m-color-ternary-dark);
    border-radius: 9px;
    border-style: solid;
    border-width: 1px;
    border-color: var(--m-color-ternary-dark);
    text-align: center;
    cursor: pointer;

    &.miam-counter-input__button__minus {
      &:hover {
        background-color: var(--m-color-grey);
      }
      &.miam-counter-input__isXL {
        height: 28px;
        width: 28px;
        font-size: 24px;
        line-height: 24px;
        border-radius: 14px;
        border-width: 2px;
      }
    }


    &.miam-counter-input__button__plus {
      &:hover {
        background-color: var(--m-color-grey);
      }
      &.miam-counter-input__isXL {
        height: 28px;
        width: 28px;
        font-size: 24px;
        line-height: 24px;
        border-radius: 14px;
        border-width: 2px;
      }
    }
  }
  
  .miam-counter-input__count {
    height: 100%;
    padding: 0;
    font-size: 14px;
    width: 56px;
    text-align: center;
    border-radius: var(--m-border-radius);
    margin: 5px;
    outline: none;
    &:focus {
      border-color: none;
      box-shadow: none;
    }
    &.miam-counter-input__isXL {
      font-size: 24px;
      width: 65px;
    }
  }

}




